FreeMat

- Main Page
- Related Pages

vtkDummyGPUInfoList

Section: Visualization Toolkit Rendering Classes

# Usage

vtkDummyGPUInfoList implements Probe() by just setting the count of GPUs to be zero. Useful when an OS specific implementation is not available.

To create an instance of class vtkDummyGPUInfoList, simply invoke its constructor as follows

      obj = vtkDummyGPUInfoList

# Methods

The class vtkDummyGPUInfoList has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDummyGPUInfoList class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDummyGPUInfoList = obj.NewInstance ()`
- `vtkDummyGPUInfoList = obj.SafeDownCast (vtkObject o)`
- `obj.Probe ()` - Build the list of vtkInfoGPU if not done yet.
  Postcondition:
    probed: IsProbed()